<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:d="http://www.demo.org" version="1.0" d:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">Schematron validation
<xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="d:Container" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="d:A &gt; d:B"/>
         <xsl:otherwise>

In pattern d:A &gt; d:B:

   A should be greater than B. Error! A is less than B ... A =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="d:A"/>
            <xsl:text  xml:space="preserve"> </xsl:text>... B =<xsl:text  xml:space="preserve"> </xsl:text>
            <xsl:value-of select="d:B"/>
            <xsl:text  xml:space="preserve"> </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>