<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:i="http://www.invoice.org"
                xmlns:c="http://www.checking-account.org"
                version="1.0">
 
    <xsl:output method="text"/>

    <xsl:template match="i:Invoice">
       <xsl:variable name="checking-account" select="document('file://localhost/xml-course/best-practice/extending-schemas/labs/lab04/answer/schematron/CheckingAccount.xml')"/>
       <xsl:if test="not(i:PaymentDue = $checking-account/c:CheckingAccount/c:PaymentReceived)">
           <xsl:text>Payment due is NOT equal to payment received!</xsl:text>
           <xsl:text>&#xD;&#xA;</xsl:text>
           <xsl:text>   Payment due = </xsl:text><xsl:value-of select="i:PaymentDue"/>
           <xsl:text>&#xD;&#xA;</xsl:text>
           <xsl:text>   Payment received = </xsl:text><xsl:value-of select="$checking-account/c:CheckingAccount/c:PaymentReceived"/>
       </xsl:if>
       <xsl:if test="i:PaymentDue = $checking-account/c:CheckingAccount/c:PaymentReceived">
           <xsl:text>Schema is valid</xsl:text>
       </xsl:if>
    </xsl:template>
</xsl:stylesheet>